Bug 184379 - [patch] misc/compat9x enable sparc64
Summary: [patch] misc/compat9x enable sparc64
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: sparc64 Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-30 01:10 UTC by craig001
Modified: 2015-12-28 17:28 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (1.82 KB, patch)
2013-11-30 01:10 UTC, craig001
no flags Details | Diff
new port diff (945 bytes, patch)
2015-11-29 15:36 UTC, Michael Moll
no flags Details | Diff
new port diff (1.95 KB, patch)
2015-11-29 15:37 UTC, Michael Moll
no flags Details | Diff
poudriere log (10.85 KB, text/plain)
2015-12-03 19:53 UTC, Michael Moll
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description craig001 2013-11-30 01:10:00 UTC
sparc64 support was dropped from misc/compat9x, when trying to build currently it errors out with "...only for i386 amd64, while you are running sparc64"

9.2-RELEASE files where taken from ftp://ftp.freebsd.org/pub/FreeBSD/releases/sparc64/9.2-RELEASE and installed into a chroot. The libs where then lifted from there using compat9x-i386-9.2.902000.201310.tar.xz as a reference.

I have updated the port Makefile, distinfo, and created a pkg-plist.sparc64 to enable build on sparc64.

I have done serveral test builds, installs and uninstalls.

The sparc64 distfile is available from http://bsdtec.com/freebsd/distfiles/compat9x-sparc64-9.2.902000.201310.tar.xz

Fix: see attached patch


Patch attached with submission follows:
How-To-Repeat: try to build misc/compat9x from ports on a sparc64 machine
Comment 1 Edwin Groothuis freebsd_committer 2013-11-30 01:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Michael Moll freebsd_committer 2015-11-29 15:36:56 UTC
Created attachment 163650 [details]
new port diff
Comment 3 Michael Moll freebsd_committer 2015-11-29 15:37:46 UTC
Created attachment 163651 [details]
new port diff
Comment 4 Michael Moll freebsd_committer 2015-11-29 15:41:47 UTC
Please check this newly generated patch. The distfile in question can be found in ~mmoll/tmp/ on freefall. As you probably also need to move this file to your LOCAL source, it'd be nice if you could commit this change also if there are no objections.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2015-12-03 00:41:09 UTC
Fails for me, with:

pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libopie.so.6: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libufs.so.5: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libtacplus.so.4: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libbsnmp.so.5: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libdwarf.so.2: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/liblwres.so.80: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libutil.so.8: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libcam.so.5: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libobjc.so.4: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libz.so.5: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libpcap.so.7: No such file or directory
pkg-static: Unable to access file /var/poudriere/ports/default/misc/compat9x/work/stage/usr/local/lib/compat/libsbuf.so.5: No such file or directory
*** Error code 74
Comment 6 Michael Moll freebsd_committer 2015-12-03 01:07:47 UTC
are you sure you tested compat9x? not 8x?
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2015-12-03 15:22:09 UTC
v245_2_stable# pwd
/var/poudriere/ports/default/misc/compat9x
v245_2_stable# make -V DISTFILES
compat9x-sparc64-9.3.903000.20151116.tar.xz
v245_2_stable# make fetch
===>   compat9x-sparc64-9.3.903000.20151116 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by compat9x-sparc64-9.3.903000.20151116 for building
v245_2_stable#

freefall% pwd
/home/mmoll/tmp
freefall% ls -al c*
-rw-r--r--  1 mmoll  devel  1335972 Nov 29 15:34 compat9x-sparc64-9.3.903000.20151116.tar.xz
Comment 8 Michael Moll freebsd_committer 2015-12-03 19:53:24 UTC
Created attachment 163824 [details]
poudriere log

this is building perfectly fine for me
Comment 9 Dag-Erling Smørgrav freebsd_committer 2015-12-17 18:48:06 UTC
I would suggest submitting this as a separate port (misc/compat9x-sparc64).  It won't conflict with the i386 / amd64 version as PKGNAME will be different.
Comment 10 Michael Moll freebsd_committer 2015-12-26 17:47:55 UTC
I don't see any benefit in doing that, what am I missing? :)
Comment 11 Dag-Erling Smørgrav freebsd_committer 2015-12-28 17:11:25 UTC
Let me put this another way: I will not add sparc64 support to the existing compat9x port.  If you want a compat9x-sparc64 port, feel free to submit one and maintain it yourself.